## org.eclipse.ocl.internal
Class OCLStatusCodes

    java.lang.Object
      org.eclipse.ocl.internal.OCLStatusCodes

    public final class OCLStatusCodes

extends Object

Field Summary
`static int` `ERROR`
`static int` `EVALUATION_HALTED`
`static int` `IGNORED_EXCEPTION_WARNING`
`static int` `OK`
`static int` `USERMODELSUPPORT_FACTORY_FAILED`
`static int` `USERMODELSUPPORT_MISSING_CLASS`
`static int` `USERMODELSUPPORT_MISSING_NSURI`
`static int` `USERMODELSUPPORT_UNRESOLVED_NSURI`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final int OK

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### IGNORED_EXCEPTION_WARNING

    public static final int IGNORED_EXCEPTION_WARNING

See Also:
  Constant Field Values

### EVALUATION_HALTED

    public static final int EVALUATION_HALTED

See Also:
  Constant Field Values

### USERMODELSUPPORT_MISSING_NSURI

    public static final int USERMODELSUPPORT_MISSING_NSURI

See Also:
  Constant Field Values

### USERMODELSUPPORT_MISSING_CLASS

    public static final int USERMODELSUPPORT_MISSING_CLASS

See Also:
  Constant Field Values

### USERMODELSUPPORT_UNRESOLVED_NSURI

    public static final int USERMODELSUPPORT_UNRESOLVED_NSURI

See Also:
  Constant Field Values

### USERMODELSUPPORT_FACTORY_FAILED

    public static final int USERMODELSUPPORT_FACTORY_FAILED

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.